> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay Order With Card

> Pay for an order using card



## OpenAPI

````yaml POST /orders/{reference}/payments/card
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders/{reference}/payments/card:
    post:
      description: Pay for an order using card
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
            example: 9689c0df-a313-4c5b-b71a-056c89b90972
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                card_number:
                  type: string
                  example: '0343597395395357394307'
                card_expiry_month:
                  type: string
                  example: '03'
                card_expiry_year:
                  type: string
                  example: '26'
                card_cvv:
                  type: string
                  example: '276'
                card_holder_name:
                  type: string
                  example: John Doe
                card_pin:
                  type: string
                  example: '4283'
      responses:
        '200':
          description: Payment processed
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      paymentReference:
                        type: string
                        example: 019d110e-aeca-769d-9385-83acbbdafef3
                      status:
                        type: string
                        example: pending
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T18:36:18Z'

````